AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Video generationMiniMax-H3

Retrieve a video

Retrieve a video task through the native MiniMax-H3 API.

Use the task ID returned by the create endpoint to retrieve its status, result, and usage. After the task succeeds, read the video URL from task.content.url.

GET/v2/query/video_generation/{task_id}

Use the Task ID returned by the create endpoint to retrieve the task. A caller can retrieve only tasks it created.

Retrieve the task every 3–5 seconds until its status becomes succeeded, failed, or cancelled. Continue polling while the status is queued or running.

If the MiniMax upstream service returns a valid JSON error, the endpoint preserves its HTTP status code and JSON content.

Authorization

bearerAuth
AuthorizationBearer <token>

Use Bearer your-api-key in the Authorization Header.

In: header

Path Parameters

task_id*string

Task ID returned when the MiniMax-H3 video was created.

Length1 <= length

Response Body

application/json

application/json

application/json